unit SThemes;

{$mode objfpc}{$H+}

interface

uses
  Classes, Graphics;

type
  TThemes = record
    form: record
      color  : TColor;
      border: record
        color  : TColor;
        size   : integer;
        frame  : integer;
      end;
      font: record
        color  : TColor;
        shadow : TColor;
        size   : integer;
      end;
    end;
    buttons: record
      color : TColor;
      enter : TColor;
      light : TColor;
      hight : TColor;
      every : TColor;
      font: record
        color  : TColor;
        size   : integer;
      end;
    end;
    tabs: record
      color : TColor;
      enter : TColor;
      arrow : TColor;
      modified : TColor;
      font  : record
        color  : TColor;
        light  : TColor;
        shadow : TColor;
      end;
    end;
    editor: record
      color  : TColor;
      line   : TColor;
      select : TColor;
      gutter : TColor;
      right  : TColor;
      number : TColor;
      folding: TColor;
      matches: TColor;
      markup : TColor;
      font: record
        color  : TColor;
        size   : integer;
      end;
      changes: record
        modifed : TColor;
        saved   : TColor;
      end;
    end;
    status: record
      color  : TColor;
      font   : TColor;
      bgcolor: TColor;
      separ  : TColor;
    end;
    scroll: record
      color  : TColor;
      border : TColor;
      thumb  : TColor;
    end;
    dialogs: record
      panel : TColor;
      shell: record
        color : TColor;
        font: record
          color : TColor;
          size   : integer;
        end;
      end;
      open  : record
        border : TColor;
      end;
      save  : record
        border : TColor;
      end;
    end;
  end;

var
  themes : TThemes;

implementation

begin
  (*
  themes.form.color        := clWhite;
  themes.form.border.color := $9a572a;
  themes.form.border.size  := 5;
  themes.form.border.frame := 30;
  themes.form.font.color   := clWhite;
  themes.form.font.shadow  := $c0794b;
  themes.form.font.size    := 13;

  themes.buttons.color     := themes.form.border.color;
  themes.buttons.enter     := $b66d3e;
  themes.buttons.light     := $b66d3e;
  themes.buttons.hight     := $c0794b;
  themes.buttons.every     := $df9f75;

  themes.tabs.color        := clWhite;
  themes.tabs.enter        := $b66d3e;
  themes.tabs.font.color   := $9a572a;
  themes.tabs.font.light   := $eecab4;
  themes.tabs.font.shadow  := $ce9675;

  themes.editor.color      := clWhite;
  themes.editor.line       := $ddffff;
  themes.editor.select     := $a56d53;
  themes.editor.gutter     := $ffd8da;
  themes.editor.right      := $ffe8e8;
  *)

  themes.form.color              := $1e1e1e;
  themes.form.border.color       := $333333;
  themes.form.border.size        := 5;
  themes.form.border.frame       := 30;
  themes.form.font.color         := clWhite;
  themes.form.font.shadow        := $c0794b;
  themes.form.font.size          := 13;

  themes.buttons.color           := themes.form.border.color;
  themes.buttons.enter           := $444444;
  themes.buttons.light           := $555555;
  themes.buttons.hight           := $666666;
  themes.buttons.font.color      := clWhite;
  themes.buttons.font.size       := 11;

  themes.tabs.color              := $1e1e1e;
  themes.tabs.enter              := $b66d3e;
  themes.tabs.arrow              := $fec630;
  themes.tabs.modified           := $b8b8ff;
  themes.tabs.font.color         := $FFFFFF;
  themes.tabs.font.light         := $969696;
  themes.tabs.font.shadow        := $888888;

  themes.editor.color            := $1e1e1e;
  themes.editor.line             := $222222;
  themes.editor.select           := $784f26;
  themes.editor.gutter           := $222222;
  themes.editor.right            := $444444;
  themes.editor.number           := $888888;
  themes.editor.folding          := $444444;
  themes.editor.matches          := $4444FF;
  themes.editor.markup           := $3a3a3a;
  themes.editor.font.color       := $bbbbbb;
  themes.editor.changes.modifed  := $444444;
  themes.editor.changes.saved    := $333333;

  themes.status.color            := $7a2168;
  themes.status.font             := $ffffff;
  themes.status.bgcolor          := $edb0e1;
  themes.status.separ            := $9b3f88;

  themes.scroll.color            := $1e1e1e;
  themes.scroll.border           := $333333;
  themes.scroll.thumb            := $333333;

  themes.dialogs.open.border     := $7a2168;
  themes.dialogs.save.border     := $925b02;
  themes.dialogs.panel           := $252525;
  themes.dialogs.shell.color     := $252525;
  themes.dialogs.shell.font.color:= clWhite;
  themes.dialogs.shell.font.size := 10;
end.

